org.apache.poi.xslf.usermodel

## Class XSLFGradientPaint

- java.lang.Object
- - org.apache.poi.xslf.usermodel.XSLFGradientPaint

- All Implemented Interfaces:
    PaintStyle, PaintStyle.GradientPaint

      @Internal
      public class XSLFGradientPaint
      extends java.lang.Object
      implements PaintStyle.GradientPaint

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.usermodel.PaintStyle.GradientPaint

      `PaintStyle.GradientPaint.GradientType`

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.usermodel.PaintStyle

      `PaintStyle.FlipMode, PaintStyle.GradientPaint, PaintStyle.PaintModifier, PaintStyle.SolidPaint, PaintStyle.TextureAlignment, PaintStyle.TexturePaint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLFGradientPaint(org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties gradFill, org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor phClr, XSLFTheme theme, XSLFSheet sheet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets2D` | `getFillToInsets()`
    `double` | `getGradientAngle()`
    `ColorStyle[]` | `getGradientColors()`
    `float[]` | `getGradientFractions()`
    `PaintStyle.GradientPaint.GradientType` | `getGradientType()`
    `boolean` | `isRotatedWithShape()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLFGradientPaint

          public XSLFGradientPaint(org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties gradFill,
                                   org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor phClr,
                                   XSLFTheme theme,
                                   XSLFSheet sheet)

  - ### Method Detail

    - #### getGradientAngle

          public double getGradientAngle()

      Specified by:
        `getGradientAngle` in interface `PaintStyle.GradientPaint`
      Returns:
        the angle of the gradient

    - #### getGradientColors

          public ColorStyle[] getGradientColors()

      Specified by:
        `getGradientColors` in interface `PaintStyle.GradientPaint`

    - #### getGradientFractions

          public float[] getGradientFractions()

      Specified by:
        `getGradientFractions` in interface `PaintStyle.GradientPaint`

    - #### isRotatedWithShape

          public boolean isRotatedWithShape()

      Specified by:
        `isRotatedWithShape` in interface `PaintStyle.GradientPaint`

    - #### getGradientType

          public PaintStyle.GradientPaint.GradientType getGradientType()

      Specified by:
        `getGradientType` in interface `PaintStyle.GradientPaint`

    - #### getFillToInsets

          public Insets2D getFillToInsets()

      Specified by:
        `getFillToInsets` in interface `PaintStyle.GradientPaint`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.